## autorenamer 0.3

=== Makefile ===
all:
install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/applications
	install autorenamer.py $(DESTDIR)/usr/bin/autorenamer
	install autorenamer.desktop $(DESTDIR)/usr/share/applications/

## autorenamer 0.5

=== debian/changelog ===
autorenamer (0.5-2) unstable; urgency=low

  * Added recommends on gir1.2-gnomedesktop-3.0 for thumbnail support
    (Closes: #941371)
  * Bumped standards-version to 4.4.1
    - no changes needed

 -- Marcin Owsiany <porridge@debian.org>  Wed, 02 Oct 2019 12:11:35 +0200

autorenamer (0.5-1) unstable; urgency=medium

  [Marcin Owsiany]

  * New upstream version.
    - uses Python 3 (Closes: #936171)
  * Bumped standards-version to 4.4.0
    - changed priority to optional from extra
    - got rid of the menu file
  * Declared source format
  * Switched to debhelper compat level 10, updated build-deps
  * Switched depends and build-depends to Python 3
  * Changed to pybuild buildsystem, moved flags to PYBUILD_INSTALL_ARGS

  [Jelmer Vernooĳ]

  * Use secure URI in Vcs-Git control header.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 10 Sep 2019 22:41:37 +0200

autorenamer (0.4-1) unstable; urgency=medium

  * New upstream version:
    - [d5be76c] Port to GTK3 and redo thumbnail creation.
    - [46d28aa] Update copyright year.
    - [f61babb] Some reordering.
    - [beb5c87] Disable "Toggle dirs" button if none are present.
    - [6d28dce] Add a randomization function.
    - [dbbf658] Fix dialog popup.
    - [ee56909] Fix "Toggle directories".
    - [ef8977c] Replace makefile with a setup script.
  * Use dh_python2.
  * Updated description, dependencies, Standards-Version, copyright years and
    Vcs URL.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 02 Mar 2016 17:23:22 +0100

autorenamer (0.3-1) unstable; urgency=low

  * New upstream version.
    - [1fbe5cd] Confirm closing window when there are unsaved changes.
  * [86089b3] Added a homepage field.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 07 Jul 2012 08:19:13 +0100

autorenamer (0.2-1) unstable; urgency=low

  * New upstream version. Notable changes:
    - [af90f14] The initial directory is the working directory.
    - Make it possible to constrain renames by selecting entries.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 11 Jan 2012 22:40:24 +0000

autorenamer (0.1-1) unstable; urgency=low

  * Initial release (Closes: #650200)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 27 Nov 2011 17:43:38 +0000

=== debian/control ===
Source: autorenamer
Section: utils
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>> 10), python3, dh-python
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/porridge/autorenamer
Vcs-Git: https://github.com/porridge/autorenamer.git -b debian
Homepage: http://marcin.owsiany.pl/autorenamer-page

Package: autorenamer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0, gir1.2-glib-2.0
Recommends: ${misc:Recommends}, ${python3:Recommends}, gir1.2-gnomedesktop-3.0
Description: program to rename files to make them sort in given order
 This is a simple graphical program that lets you reorder the files using
 drag-and-drop and then changes the names of the files such that their
 alphabetical sorting matches the ordering you chose. You can also shuffle
 the files.
 .
 Currently the renaming consists of prepending each filename with a short
 number.
 .
 The program displays thumbnails of files using GNOME libraries.

## autorenamer 0.6

=== debian/changelog ===
autorenamer (0.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Marcin Owsiany ]
  * [57e7850] Add build-dep, bump standards version
  * [facc3db] Rename section in gbp.conf

 -- Marcin Owsiany <porridge@debian.org>  Fri, 20 Sep 2024 18:30:10 +0200

autorenamer (0.6-1) unstable; urgency=low

  * New upstream version
    - fix gobject deprecation warnings
    - install the desktop file
    - make debug logging opt-in.
  * Bumped standards-version to 4.5.1
    - no changes needed
  * Added a debian/watch file

 -- Marcin Owsiany <porridge@debian.org>  Mon, 01 Feb 2021 08:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>> 10), python3, dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-setuptools
+Standards-Version: 4.7.0
 Vcs-Browser: https://github.com/porridge/autorenamer
 Vcs-Git: https://github.com/porridge/autorenamer.git -b debian
-Homepage: http://marcin.owsiany.pl/autorenamer-page
+Homepage: https://marcin.owsiany.pl/autorenamer-page
 
 Package: autorenamer
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/porridge/@PACKAGE@/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
